using skyscraper8.DvbNip;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper8.Ietf.FLUTE
{
	internal interface IFluteEventHandler
	{
		void InformToi(IPAddress destinationAddress, ushort destinationPort, ulong transportObjectIdentifier, ulong transportSessionIdentifier);
		bool IpFilterEnabled();
		void OnCompletePlay(FluteListener.FlutePlay flutePlay);
		void OnNipCarrierInformation(NipActualCarrierInformation nipActualCarrierInformation);
	}
}
